/*
 *  Да се напише програма, в която потребителя въвежда две цели числа -
 *  ден и месец. Програмата трябва да определи дали в въведения месец,
 *  може да има такъв ден (допускаме, че годината НЕ е високосна).
 */

#include <iostream>
using namespace std;


int main() {

    int day, month;
    cout << "Day: ";
    cin >> day;

    cout << "Month: ";
    cin >> month;

    if(month < 1 || month > 12 || day < 1) {
        cout << "Not OK!" << endl;
        return 1;
    }

    int maximum = 0;

    switch(month) {
    case 2:
        maximum = 28;
        break;
    case 4:
    case 6:
    case 9:
    case 11:
        maximum = 30;
        break;
    default:
        maximum = 31;
    }

    if(day > maximum) {
        cout << "Not OK!";
    } else {
        cout << "OK!";
    }
    cout << endl;
    return 0;
}
